| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DataHistory::DataHistoryOrder Class Referencefinal

`#include <GaudiKernel/DataHistory.h>`

## Public Member Functions
bool | operator() (const DataHistory *lhs, const DataHistory *rhs) const
bool | operator() (const DataHistory &lhs, const DataHistory &rhs) const

## Detailed Description

Definition at line 27 of file DataHistory.h.

## Member Function Documentation

bool DataHistory::DataHistoryOrder::operator() | ( | const DataHistory * | lhs,
|  | const DataHistory * | rhs
| ) |  | const
| inline

Definition at line 30 of file DataHistory.h.

31 {
32 if ( lhs->m_dataClassID == rhs->m_dataClassID ) {
33 if ( lhs->m_dataKey == rhs->m_dataKey ) {
34 return ( lhs->m_algHist < rhs->m_algHist );
35 } else {
36 return ( lhs->m_dataKey < rhs->m_dataKey );
37 }
38 } else {
39 return ( lhs->m_dataClassID < rhs->m_dataClassID );
40 }
41 }
DataHistory::m_algHist
AlgorithmHistory * m_algHist
Definition: DataHistory.h:73
DataHistory::m_dataClassID
CLID m_dataClassID
Definition: DataHistory.h:71
DataHistory::m_dataKey
std::string m_dataKey
Definition: DataHistory.h:72

bool DataHistory::DataHistoryOrder::operator() | ( | const DataHistory & | lhs,
|  | const DataHistory & | rhs
| ) |  | const
| inline

Definition at line 42 of file DataHistory.h.

43 {
44 if ( lhs.m_dataClassID == rhs.m_dataClassID ) {
45 if ( lhs.m_dataKey == rhs.m_dataKey ) {
46 return ( lhs.m_algHist < rhs.m_algHist );
47 } else {
48 return ( lhs.m_dataKey < rhs.m_dataKey );
49 }
50 } else {
51 return ( lhs.m_dataClassID < rhs.m_dataClassID );
52 }
53 }
DataHistory::m_algHist
AlgorithmHistory * m_algHist
Definition: DataHistory.h:73
DataHistory::m_dataClassID
CLID m_dataClassID
Definition: DataHistory.h:71
DataHistory::m_dataKey
std::string m_dataKey
Definition: DataHistory.h:72

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/DataHistory.h